import { Component, Host, h, Prop } from '@stencil/core';
import { secondsToHours } from '../../../utils/utils';
export class PeIncidentList {
  render() {
    return (h(Host, null,
      h("table", { cellspacing: "0" },
        h("thead", null,
          h("tr", null,
            h("th", null, "Type"),
            h("th", null, "Description"),
            h("th", null, "Start Time"),
            h("th", null, "End Time"),
            h("th", null))),
        h("tbody", null, Array.isArray(this.incidentList) &&
          this.incidentList.map(item => (h("tr", null,
            h("td", null,
              h("span", { class: `type-icon ${item.breachDictionaryItem.severity}` },
                h("pe-icon", { name: item.breachDictionaryItem.icon }))),
            h("td", null, item.comment),
            h("td", null,
              h("button", { onClick: () => {
                  this.jumptoIncidentTime(item.start_offset);
                }, class: "time" }, secondsToHours(item.start_offset))),
            h("td", null,
              h("button", { onClick: () => {
                  this.jumptoIncidentTime(item.end_offset);
                }, class: "time" }, secondsToHours(item.end_offset))),
            h("td", null,
              h("pe-button", { onClick: () => {
                  this.handleEdit(item);
                }, iconName: "edit", color: "primary", iconOnly: true })))))))));
  }
  static get is() { return "pe-incident-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["pe-incident-list.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["pe-incident-list.css"]
  }; }
  static get properties() { return {
    "incidentList": {
      "type": "unknown",
      "mutable": true,
      "complexType": {
        "original": "Array<any>",
        "resolved": "any[]",
        "references": {
          "Array": {
            "location": "global"
          }
        }
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "the incident list array data"
      }
    },
    "handleEdit": {
      "type": "unknown",
      "mutable": true,
      "complexType": {
        "original": "(...args: any) => void",
        "resolved": "(...args: any) => void",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "function to handle the incident edit"
      }
    },
    "jumptoIncidentTime": {
      "type": "unknown",
      "mutable": true,
      "complexType": {
        "original": "(\n    ...args: any\n  ) => void",
        "resolved": "(...args: any) => void",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "jump to the incident time in the player"
      }
    }
  }; }
}
