import { Component, Host, getAssetPath, h } from '@stencil/core';
export class PeNavbar {
  render() {
    return (h(Host, null,
      h("div", null,
        h("img", { src: getAssetPath('assets/logo.svg'), alt: "Review Studio Logo" })),
      h("div", { class: "right-side" },
        h("pe-button", { color: "action", variant: "outline" }, "Mark as unreviewable"),
        h("pe-button", { color: "action", variant: "filled" }, "Complete review"),
        h("pe-button", { iconName: "logout", iconOnly: true, color: "action", variant: "outline" }))));
  }
  static get is() { return "pe-navbar"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["pe-navbar.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["pe-navbar.css"]
  }; }
  static get assetsDirs() { return ["assets"]; }
}
