import { Component, Host, h, Prop, Watch } from '@stencil/core';
import { Icons } from './icons.js';
export class PeIcon {
  iconNameChanged(newIconName) {
    this.name = newIconName;
  }
  render() {
    return (h(Host, null,
      h("div", { innerHTML: Icons[this.name] })));
  }
  static get is() { return "pe-icon"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["pe-icon.css"]
  }; }
  static get styleUrls() { return {
    "$": ["pe-icon.css"]
  }; }
  static get assetsDirs() { return ["assets"]; }
  static get properties() { return {
    "name": {
      "type": "string",
      "mutable": true,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Icon name"
      },
      "attribute": "name",
      "reflect": true
    }
  }; }
  static get watchers() { return [{
      "propName": "name",
      "methodName": "iconNameChanged"
    }]; }
}
