export function secondsToHours(value) {
  if (value < 0)
    return '';
  let date = new Date(0);
  date.setSeconds(value);
  return date.toISOString().substring(11, 19);
}
/**
 * Wait for the browser to fire an event (including custom events)
 */
export async function waitForEvent(eventName, page) {
  await page.evaluate(function (eventName) {
    return new Promise(function (resolve) {
      document.addEventListener(eventName, function () {
        resolve(true); // resolves when the event fires
      });
    });
  }, eventName);
}
