import { HTMLElement, h, Host, proxyCustomElement } from '@stencil/core/internal/client';
import { s as secondsToHours } from './utils.js';
import { d as defineCustomElement$2 } from './pe-button2.js';
import { d as defineCustomElement$1 } from './pe-icon2.js';

const peIncidentListCss = ":host{display:block;font-family:\"Noto Sans\", sans-serif}table{width:100%;text-align:left;font-weight:normal;max-width:469px;}thead{font-size:12px;line-height:18px;color:#191919;background:#f3f3f3;height:26px}thead th{border-top:1px solid #cdcdcd;border-bottom:1px solid #cdcdcd}tbody{font-size:14px}tbody tr{height:50px;background:#e5e5e5}td,th{padding:0 10px}tbody tr:nth-child(even){background:#f3f3f3}.time{color:#191919;border:0;background:transparent;text-decoration:underline;cursor:pointer}.type-icon{display:block;width:32px;height:32px;border-radius:4px}.type-icon.event{background:#dbf0ff;fill:#006dba}.type-icon.risk{background:#fceec6;fill:#b54b00}.type-icon.breach{background:#ffeaea;fill:#cd0022}";

let PeIncidentList = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("table", { cellspacing: "0" }, h("thead", null, h("tr", null, h("th", null, "Type"), h("th", null, "Description"), h("th", null, "Start Time"), h("th", null, "End Time"), h("th", null))), h("tbody", null, Array.isArray(this.incidentList) &&
      this.incidentList.map(item => (h("tr", null, h("td", null, h("span", { class: `type-icon ${item.breachDictionaryItem.severity}` }, h("pe-icon", { name: item.breachDictionaryItem.icon }))), h("td", null, item.comment), h("td", null, h("button", { onClick: () => {
          this.jumptoIncidentTime(item.start_offset);
        }, class: "time" }, secondsToHours(item.start_offset))), h("td", null, h("button", { onClick: () => {
          this.jumptoIncidentTime(item.end_offset);
        }, class: "time" }, secondsToHours(item.end_offset))), h("td", null, h("pe-button", { onClick: () => {
          this.handleEdit(item);
        }, iconName: "edit", color: "primary", iconOnly: true })))))))));
  }
  static get style() { return peIncidentListCss; }
};
PeIncidentList = /*@__PURE__*/ proxyCustomElement(PeIncidentList, [1, "pe-incident-list", {
    "incidentList": [1040],
    "handleEdit": [1040],
    "jumptoIncidentTime": [1040]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["pe-incident-list", "pe-button", "pe-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "pe-incident-list":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, PeIncidentList);
      }
      break;
    case "pe-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "pe-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { PeIncidentList as P, defineCustomElement as d };
