import { HTMLElement, h, Host, getAssetPath, proxyCustomElement } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './pe-button2.js';
import { d as defineCustomElement$1 } from './pe-icon2.js';

const peNavbarCss = ":host{display:-ms-flexbox;display:flex;background:#f9f9f9;padding:0 21px;height:74px;-ms-flex-pack:justify;justify-content:space-between;border-bottom:1px solid #cdcdcd;-ms-flex-align:center;align-items:center}.right-side{display:-ms-flexbox;display:flex}.right-side pe-button{margin-left:16px}";

let PeNavbar = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("div", null, h("img", { src: getAssetPath('assets/logo.svg'), alt: "Review Studio Logo" })), h("div", { class: "right-side" }, h("pe-button", { color: "action", variant: "outline" }, "Mark as unreviewable"), h("pe-button", { color: "action", variant: "filled" }, "Complete review"), h("pe-button", { iconName: "logout", iconOnly: true, color: "action", variant: "outline" }))));
  }
  static get assetsDirs() { return ["assets"]; }
  static get style() { return peNavbarCss; }
};
PeNavbar = /*@__PURE__*/ proxyCustomElement(PeNavbar, [1, "pe-navbar"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["pe-navbar", "pe-button", "pe-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "pe-navbar":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, PeNavbar);
      }
      break;
    case "pe-button":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "pe-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { PeNavbar as P, defineCustomElement as d };
