export declare class PeVideoPlayer {
  private videoPlayerElement;
  private screenshareVideo;
  private mobileVideo;
  private webcamVideo;
  private highlightedVideo;
  private videoControls;
  private smallVideoContainer;
  private videoElements;
  debugEnabled: boolean;
  isPreparing: boolean;
  eventSourceStream: string;
  isPlaying: boolean;
  isBusy: boolean;
  isMuted: boolean;
  isFullscreen: boolean;
  canMobileVideoPlayThrough: boolean;
  canScreenshareVideoPlayThrough: boolean;
  canWebcamVideoPlayThrough: boolean;
  playbackRate: number;
  currentTime: number;
  totalDuration: number;
  videoDurations: object;
  mobileVideoIndex: number;
  screenshareVideoIndex: number;
  webcamVideoIndex: number;
  mobileVideoDurations: number[];
  screenshareVideoDurations: number[];
  webcamVideoDurations: number[];
  mobileVideoStartTimes: number[];
  screenshareVideoStartTimes: number[];
  webcamVideoStartTimes: number[];
  /**
   * Uri(s) for mobile video source(s).
   */
  mobileVideoUris: any;
  mobileVideoUrisChanged(newValue: any): void;
  /**
   * Uri(s) for screenshare video source(s).
   */
  screenshareVideoUris: any;
  screenshareVideoUrisChanged(newValue: any): void;
  /**
   * Uri(s) for webcam video source(s).
   */
  webcamVideoUris: any;
  webcamVideoUrisChanged(newValue: any): void;
  peVideoOnWaitingHandler(event: CustomEvent): void;
  peVideoSourceChangedHandler(): void;
  peVideoCanPlayThroughHandler(event: CustomEvent): void;
  peVideoPlayHandler(event: CustomEvent): void;
  peVideoRewindHandler(event: CustomEvent): void;
  peVideoMuteHandler(): void;
  peVideoSpeedHandler(event: CustomEvent<number>): void;
  peVideoEndedHandler(event: CustomEvent): void;
  peVideoTimeUpdateHandler(event: CustomEvent): void;
  peVideoLoadedDataHandler(): void;
  peVideoSeekHandler(event: CustomEvent): void;
  peVideoFullscreenHandler(event: CustomEvent): void;
  /**
   * Moves clicked video to highlighted area.
   * Nothing happens if clicked on already highlighted video.
   */
  peVideoClickHandler(event: any): void;
  /**
   * @param time
   */
  setCurrentTime(time: number): Promise<void>;
  /**
   * Returns current time from seekbar
   */
  getCurrentTime(): Promise<number>;
  private setCurrentTimeForEachStream;
  /**
   * Checks if all provided medias are ready to play,
   * and then sets 'isBusy' state.
   */
  private determineIsBusy;
  private determineVideoDuration;
  private calculateVideoDurations;
  private calculateVideoStartTimes;
  private determineIsPreparing;
  private calculateTotalDuration;
  private handleBoxSizeChanges;
  private determineEventSource;
  private setupResizeObserver;
  private waitEvent;
  componentWillLoad(): void;
  componentDidLoad(): void;
  render(): any;
}
