import { EventEmitter } from '../../../stencil-public-runtime';
export declare class PeVideoControls {
  private inputElement;
  connectedCallback(): void;
  speedIndex: number;
  isMuted: boolean;
  isPlaying: boolean;
  /**
   * Determines current value of fullscreen toggle.
   */
  isFullscreen: boolean;
  /**
   * Determines current time of progress bar.
   */
  currentTime: number;
  currentTimeChanged(): void;
  /**
   * Determines total duration of progress bar.
   */
  totalDuration: number;
  totalDurationChanged(): void;
  /**
   * Determines available playback speeds.
   */
  availableSpeeds?: number[];
  availableSpeedsChanged(newAvailableSpeeds: any): void;
  /**
   * Emits when play/pause button clicked.
   */
  peVideoPlay: EventEmitter<boolean>;
  private peVideoPlayHandler;
  /**
   * Emits when rewind or forward butons clicked.
   */
  peVideoRewind: EventEmitter<number>;
  private peVideoRewindHandler;
  /**
   * Emits when playback rate changed.
   */
  peVideoSpeed: EventEmitter<number>;
  private peVideoSpeedHandler;
  /**
   * Emits when mute button clicked.
   */
  peVideoMute: EventEmitter<boolean>;
  private peVideoMuteHandler;
  /**
   * Emits when progress bar moved.
   */
  peVideoSeek: EventEmitter<number>;
  private peVideoSeekHandler;
  /**
   * Emits when fullscreen toggle clicked.
   */
  peVideoFullscreen: EventEmitter<boolean>;
  private peVideoFullscreenHandler;
  fullscreenchangeHandler(): void;
  private handleClickMute;
  private handleClickRewind;
  private handleClickPlay;
  private handleClickFullscreen;
  private handleClickSpeed;
  private handleInputSeek;
  private updateInputStyle;
  componentWillLoad(): void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  render(): any;
}
